package com.acquisition.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author wang
 * @since 2025-01-07
 */
@Data
@TableName("data_acquisition")
@EqualsAndHashCode(callSuper = true)
public class DataAcquisition extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @TableField("iec104_addr")
    private Integer iec104Addr;

    @TableField("iec104_xmax")
    private Integer iec104Xmax;

    @TableField("iec104_xmin")
    private Integer iec104Xmin;

    @TableField("iec104_coeff")
    private Integer iec104Coeff;

    @TableField("iec104_base")
    private Integer iec104Base;

    @TableField("gyfp_addr")
    private Integer gyfpAddr;

    @TableField("gyfp_valid")
    private Integer gyfpValid;

    @TableField("gyfp_coeff")
    private Integer gyfpCoeff;

    @TableField("gyfp_base")
    private Integer gyfpBase;

    @TableField("gyfp2_addr")
    private Integer gyfp2Addr;

    @TableField("gyfp2_valid")
    private Integer gyfp2Valid;

    @TableField("gyfp2_coeff")
    private Integer gyfp2Coeff;

    @TableField("gyfp2_base")
    private Integer gyfp2Base;

    @TableField("mongo_key")
    private String mongoKey;

    @TableField("describe")
    private String describe;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getIec104Addr() {
        return iec104Addr;
    }

    public void setIec104Addr(Integer iec104Addr) {
        this.iec104Addr = iec104Addr;
    }

    public Integer getIec104Xmax() {
        return iec104Xmax;
    }

    public void setIec104Xmax(Integer iec104Xmax) {
        this.iec104Xmax = iec104Xmax;
    }

    public Integer getIec104Xmin() {
        return iec104Xmin;
    }

    public void setIec104Xmin(Integer iec104Xmin) {
        this.iec104Xmin = iec104Xmin;
    }

    public Integer getIec104Coeff() {
        return iec104Coeff;
    }

    public void setIec104Coeff(Integer iec104Coeff) {
        this.iec104Coeff = iec104Coeff;
    }

    public Integer getIec104Base() {
        return iec104Base;
    }

    public void setIec104Base(Integer iec104Base) {
        this.iec104Base = iec104Base;
    }

    public Integer getGyfpAddr() {
        return gyfpAddr;
    }

    public void setGyfpAddr(Integer gyfpAddr) {
        this.gyfpAddr = gyfpAddr;
    }

    public Integer getGyfpValid() {
        return gyfpValid;
    }

    public void setGyfpValid(Integer gyfpValid) {
        this.gyfpValid = gyfpValid;
    }

    public Integer getGyfpCoeff() {
        return gyfpCoeff;
    }

    public void setGyfpCoeff(Integer gyfpCoeff) {
        this.gyfpCoeff = gyfpCoeff;
    }

    public Integer getGyfpBase() {
        return gyfpBase;
    }

    public void setGyfpBase(Integer gyfpBase) {
        this.gyfpBase = gyfpBase;
    }

    public Integer getGyfp2Addr() {
        return gyfp2Addr;
    }

    public void setGyfp2Addr(Integer gyfp2Addr) {
        this.gyfp2Addr = gyfp2Addr;
    }

    public Integer getGyfp2Valid() {
        return gyfp2Valid;
    }

    public void setGyfp2Valid(Integer gyfp2Valid) {
        this.gyfp2Valid = gyfp2Valid;
    }

    public Integer getGyfp2Coeff() {
        return gyfp2Coeff;
    }

    public void setGyfp2Coeff(Integer gyfp2Coeff) {
        this.gyfp2Coeff = gyfp2Coeff;
    }

    public Integer getGyfp2Base() {
        return gyfp2Base;
    }

    public void setGyfp2Base(Integer gyfp2Base) {
        this.gyfp2Base = gyfp2Base;
    }

    public String getMongoKey() {
        return mongoKey;
    }

    public void setMongoKey(String mongoKey) {
        this.mongoKey = mongoKey;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
